ActionView::Template::Error (undefined method `project_activity_path')

2015-03-04 10:36 - T Otsuka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.0

Description

When viewing an issue detail page, the internal error occurred as follows:

Started GET "/redmine/issues/1" for 127.0.0.1 at 2015-03-04 09:17:21 +0000

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"1"}

  Current user: admin (id=1)

  Rendered issues/_action_menu.html.erb (27.3ms)

  Rendered issues/show.html.erb within layouts/base (66.5ms)

Completed 500 Internal Server Error in 164ms

ActionView::Template::Error (undefined method `project_activity_path' for #<#<Class:0x007f81aca870

e8>:0x007f81aca69b10>):

    27: <%= render_issue_subject_with_tree(@issue) %>

    28: </div>

    29:         <p class="author">

    30:         <%= authoring @issue.created_on, @issue.author %>.

    31:         <% if @issue.created_on != @issue.updated_on %>

    32:         <%= l(:label_updated_time, time_tag(@issue.updated_on)).html_safe %>.

    33:         <% end %>

  app/helpers/application_helper.rb:431:in `time_tag'

  app/helpers/application_helper.rb:425:in `authoring'

  app/views/issues/show.html.erb:30:in `_app_views_issues_show_html_erb___2317040810410115667_7009

7461988680'

  app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:115:in `show'

 Where the project_activity_path method is defined?

My environment information output by ruby bin/about is listed below.

Environment:

  Redmine version                3.0.0.stable.14045

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem

Redmine plugins:

  no plugin installed

History

#1 - 2015-03-04 11:05 - Toshi MARUYAMA

- Target version set to 3.0.1

#2 - 2015-03-04 11:28 - Toshi MARUYAMA

- Status changed from New to Needs feedback
- Target version deleted (3.0.1)

I cannot reproduce.

Started GET "/issues/1" for 192.168.11.10 at 2015-03-04 19:15:55 +0900

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"1"}

  Current user: admin (id=1)

  Rendered issues/_action_menu.html.erb (4.1ms)

  Rendered issue_relations/_form.html.erb (1.4ms)

  Rendered issues/_relations.html.erb (2.1ms)

  Rendered issues/_history.html.erb (10.8ms)

  Rendered issues/_action_menu.html.erb (3.5ms)

  Rendered issues/_form_custom_fields.html.erb (0.6ms)

  Rendered issues/_attributes.html.erb (13.6ms)

  Rendered issues/_form.html.erb (22.7ms)

  Rendered attachments/_form.html.erb (2.2ms)

  Rendered issues/_edit.html.erb (31.7ms)

  Rendered issues/_sidebar.html.erb (3.0ms)

  Rendered watchers/_watchers.html.erb (3.0ms)

  Rendered issues/show.html.erb within layouts/base (94.7ms)

 Where the project_activity_path method is defined?

 
$ RAILS_ENV=production rake routes | grep project_activity | sed -e 's/\s\+/ /g'

 project_activity GET /projects/:id/activity(.:format) activities#index

#3 - 2015-03-05 06:34 - T Otsuka

Thank you for your reply.

I found that I overwrote the routes.rb with an older version's routes.rb which contains relative uri settings.

Replacing the routes.rb with new one, then it works fine!

#4 - 2015-03-05 15:48 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback. I am glad to hear that your Redmine works fine.

I close this issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-29 2/2

http://www.tcpdf.org

